package org.jboss.cache.pojo.test.propagation;

/**
 *
 */
// We are using JDK1.5 annotation.
@org.jboss.cache.pojo.annotation.Replicable
public interface PropagationManager
{
   public void setRootNode(String rdn);

   public void addNode(String parentFdn, String rdn);

   public void addStateItem(String parentFdn, long itemId, long defaultState);

   public Node findNode(String fdn);

   public void stateChange(String parentFdn, long itemId, long newState);

   public void printNodes();
}
